#### D.6.20.11 nf_icis

Procedure from library `sing.lib` (see sing_lib).

Usage:
  nf_icis(i); i ideal

Return:
  ideal = generic linear combination of generators of i if i is an ICIS (isolated complete intersection singularity), return i if not

Note:
  this proc is useful in connection with proc milnor
  printlevel >=0: display comments (default)

Example:

    LIB "sing.lib";
    int p      = printlevel;
    printlevel = 1;
    ring r     = 32003,(x,y,z),ds;
    ideal i    = x3+y4,z4+yx;
    nf_icis(i);
    ==> // complete intersection of dim 1
    ==> // dim-sequence:
    ==> // dim of singular locus = 0
    ==> // isolated singularity if last number is 0 in dim-sequence:
    ==> // dim of singular locus = 0
    ==> // isolated singularity if last number is 0 in dim-sequence:
    ==> // ICIS in generic form after 1 genericity loop(s)
    ==> _[1]=2xy+x3+y4+2z4
    ==> _[2]=xy+z4
    ideal j    = x3+y4,xy,yz;
    nf_icis(j);
    ==> // no complete intersection
    ==> // dim-sequence:
    ==> // no complete intersection
    ==> _[1]=x3+y4
    ==> _[2]=xy
    ==> _[3]=yz
    printlevel = p;

User manual for Singular version 4.4.1, 2025, generated by texi2html.